Job-change and promotion signals for contact ids
curl --request POST \
--url https://api.aisa.one/apis/v1/lusha/contacts-signals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIds": [
"12345"
],
"signalTypes": [
"promotion"
],
"ids": [
"<string>"
],
"maxResultsPerSignal": 50
}
'import requests
url = "https://api.aisa.one/apis/v1/lusha/contacts-signals"
payload = {
"contactIds": ["12345"],
"signalTypes": ["promotion"],
"ids": ["<string>"],
"maxResultsPerSignal": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIds: ['12345'],
signalTypes: ['promotion'],
ids: ['<string>'],
maxResultsPerSignal: 50
})
};
fetch('https://api.aisa.one/apis/v1/lusha/contacts-signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/lusha/contacts-signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactIds' => [
'12345'
],
'signalTypes' => [
'promotion'
],
'ids' => [
'<string>'
],
'maxResultsPerSignal' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/lusha/contacts-signals"
payload := strings.NewReader("{\n \"contactIds\": [\n \"12345\"\n ],\n \"signalTypes\": [\n \"promotion\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"maxResultsPerSignal\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/lusha/contacts-signals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactIds\": [\n \"12345\"\n ],\n \"signalTypes\": [\n \"promotion\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"maxResultsPerSignal\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/lusha/contacts-signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactIds\": [\n \"12345\"\n ],\n \"signalTypes\": [\n \"promotion\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"maxResultsPerSignal\": 50\n}"
response = http.request(request)
puts response.read_bodyLusha
Job-change and promotion signals for contact ids
standalone alternative to the signals filter on the search/prospecting endpoints
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.1248 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
lusha
/
contacts-signals
Job-change and promotion signals for contact ids
curl --request POST \
--url https://api.aisa.one/apis/v1/lusha/contacts-signals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIds": [
"12345"
],
"signalTypes": [
"promotion"
],
"ids": [
"<string>"
],
"maxResultsPerSignal": 50
}
'import requests
url = "https://api.aisa.one/apis/v1/lusha/contacts-signals"
payload = {
"contactIds": ["12345"],
"signalTypes": ["promotion"],
"ids": ["<string>"],
"maxResultsPerSignal": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIds: ['12345'],
signalTypes: ['promotion'],
ids: ['<string>'],
maxResultsPerSignal: 50
})
};
fetch('https://api.aisa.one/apis/v1/lusha/contacts-signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/lusha/contacts-signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactIds' => [
'12345'
],
'signalTypes' => [
'promotion'
],
'ids' => [
'<string>'
],
'maxResultsPerSignal' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/lusha/contacts-signals"
payload := strings.NewReader("{\n \"contactIds\": [\n \"12345\"\n ],\n \"signalTypes\": [\n \"promotion\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"maxResultsPerSignal\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/lusha/contacts-signals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactIds\": [\n \"12345\"\n ],\n \"signalTypes\": [\n \"promotion\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"maxResultsPerSignal\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/lusha/contacts-signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactIds\": [\n \"12345\"\n ],\n \"signalTypes\": [\n \"promotion\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"maxResultsPerSignal\": 50\n}"
response = http.request(request)
puts response.read_body请求规范
- 方法与路径: POST /apis/v1/lusha/contacts-signals
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/lusha/contacts-signals - Runtime 事实版本: 4e06df17a40bff0bc4b39c3818736d6c3748778b27890dcc17931d02d4df8b4b
{
"operationId": "lusha.contacts-signals",
"method": "POST",
"path": "/apis/v1/lusha/contacts-signals",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"contactIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "up to 100 Lusha contact ids",
"examples": [
[
"12345"
]
]
},
"signalTypes": {
"enum": [
[
"promotion"
]
],
"items": {
"type": "string"
},
"maxItems": 1,
"minItems": 1,
"type": "array",
"description": "promotion | companyChange | allSignals"
},
"startDate": {
"type": "string",
"description": "ISO date; only signals on/after this date"
},
"tableId": {
"type": "string",
"description": "persist results into a Lusha Table's Signals column"
},
"ids": {
"items": {
"type": "string"
},
"maxItems": 100,
"minItems": 1,
"type": "array"
},
"maxResultsPerSignal": {
"maximum": 100,
"minimum": 1,
"type": "integer"
}
},
"required": [
"contactIds",
"ids",
"maxResultsPerSignal",
"signalTypes"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.1248,
"estimate_source": "profile_seed",
"evidence_source": "response_header",
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.1248 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.1248
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 结算证据来源: response_header
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
up to 100 Lusha contact ids
示例:
["12345"]
promotion | companyChange | allSignals
Required array length:
1 elementRequired array length:
1 - 100 elements必填范围:
1 <= x <= 100ISO date; only signals on/after this date
persist results into a Lusha Table's Signals column
响应
成功响应